type ParsedGithubUrl = {
    auth?: string;
    username: string;
    reponame: string;
    treeish: string;
};
/**
 * Determines whether a given url is a valid github git url via regex
 */
export declare function isGithubUrl(url: string): boolean;
/**
 * Takes a valid github repository url and parses it, returning
 * an object of type `ParsedGithubUrl`
 */
export declare function parseGithubUrl(urlStr: string): ParsedGithubUrl;
export declare function invalidGithubUrlMessage(url: string): string;
export {};
